VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV:
[legend]

## Public Member Functions

| operator VkQueueFamilyCheckpointPropertiesNV const & () const
| operator VkQueueFamilyCheckpointPropertiesNV & ()
bool | operator== (QueueFamilyCheckpointPropertiesNV const &rhs) const
bool | operator!= (QueueFamilyCheckpointPropertiesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
PipelineStageFlags | checkpointExecutionStageMask

## Private Attributes

StructureType | sType = StructureType::eQueueFamilyCheckpointPropertiesNV

## Detailed Description

Definition at line 26733 of file vulkan.hpp.

## Member Function Documentation

## operator VkQueueFamilyCheckpointPropertiesNV &()

VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::operator VkQueueFamilyCheckpointPropertiesNV & | ( |  | ) |

inline

Definition at line 26740 of file vulkan.hpp.

{
return *reinterpret_cast<VkQueueFamilyCheckpointPropertiesNV*>(this);
}

## operator VkQueueFamilyCheckpointPropertiesNV const &()

VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::operator VkQueueFamilyCheckpointPropertiesNV const & | ( |  | ) | const

inline

Definition at line 26735 of file vulkan.hpp.

{
return *reinterpret_cast<const VkQueueFamilyCheckpointPropertiesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::operator!= | ( | QueueFamilyCheckpointPropertiesNV const & | rhs | ) | const

inline

Definition at line 26752 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::operator== | ( | QueueFamilyCheckpointPropertiesNV const & | rhs | ) | const

inline

Definition at line 26745 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( checkpointExecutionStageMask == rhs.checkpointExecutionStageMask );
}

References checkpointExecutionStageMask, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## checkpointExecutionStageMask

PipelineStageFlags VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::checkpointExecutionStageMask

Definition at line 26762 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::pNext = nullptr

Definition at line 26761 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::sType = StructureType::eQueueFamilyCheckpointPropertiesNV

private

Definition at line 26758 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::operator==
bool operator==(QueueFamilyCheckpointPropertiesNV const &rhs) const
Definition: vulkan.hpp:26745
VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::checkpointExecutionStageMask
PipelineStageFlags checkpointExecutionStageMask
Definition: vulkan.hpp:26762
VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::sType
StructureType sType
Definition: vulkan.hpp:26758
VkQueueFamilyCheckpointPropertiesNV
Definition: vulkan_core.h:8766
VULKAN_HPP_NAMESPACE::QueueFamilyCheckpointPropertiesNV::pNext
void * pNext
Definition: vulkan.hpp:26761